Subject: Re: bug#26669: [PATCH 1/7] gnu: Add cdrtools.
From: Thomas Danckaert <[email-masked]>
To: [email-masked], Danny Milosavljevic <[email-masked]>, Mathieu Othacehe <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 10 May 2017 09:48:34 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

Thanks for your comments.

I pushed the series to master, with all comments addressed.  Except 
these 2 by Ludo, where I didn't really manage...

From: [email-masked] (Ludovic Courtès)
Subject: Re: bug#26669: [PATCH 1/7] gnu: Add cdrtools.
Date: Wed, 03 May 2017 14:59:12 +0200

>> +++ b/gnu/packages/patches/cdrtools-3.01-mkisofs-isoinfo.patch
>> @@ -0,0 +1,514 @@
>> +Patch for version 3.01, taken from upstream at
>> +https://sourceforge.net/projects/cdrtools/files/cdrtools-3.01-fix-20151126-mkisofs-isoinfo.patch
>
> It would be nice to add a few words about what it does, like “Fix
> compilation with recent glibc” or something.

Unfortunately, I couldn't find a proper explanation for the patch, 
and I'm not familiar enough with the cdrtools code base to completely 
understand it myself.  It seems like it fixes some issues and 
upgrades half-way to 3.02 at the same time...  Well at least we can 
get rid of the patch if/when they release 3.02.

From: [email-masked] (Ludovic Courtès)
Subject: Re: bug#26669: [PATCH 7/7] gnu: Add dvdstyler.
Date: Wed, 03 May 2017 15:04:47 +0200

>> +    (arguments
>> +     `(#:configure-flags (list (string-append "XMLTO="
>> +                                              (assoc-ref 
>> %build-inputs "xmlto")
>> +                                              "/bin/xmlto"
>> +                                              " --searchpath "
>> +                                              (assoc-ref 
>> %build-inputs "docbook-xsl")
>> +                                              
>> "/xml/xsl/docbook-xsl-1.79.1/htmlhelp:"
>> +                                              (assoc-ref 
>> %build-inputs "docbook-xml")
>> +                                              "/xml/dtd/docbook"))
>
> I'd expect that adding libxml2 as an input would lead to the 
> appropriate
> definition of XML_CATALOG_FILES, and thus remove the need for these
> #:configure-flags.  Could you try that?

I tried it, but it didn't work.  Even with these flags, documentation 
generation phase spits out a few warnings about attempted network 
access to retrieve xsd files, but way less than without the flags, 
and at html help is generated successfully :-) .

Thomas